Bug 2016898 - PyQt5 / PyQt5-sip fail to pickle QByteArray
Summary: PyQt5 / PyQt5-sip fail to pickle QByteArray
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-qt5
Version: 35
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2019640
TreeView+ depends on / blocked
 
Reported: 2021-10-25 06:04 UTC by Damon Lynch
Modified: 2021-11-11 16:52 UTC (History)
4 users (show)

Fixed In Version: python-qt5-5.15.6-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-11 01:18:54 UTC
Type: Bug


Attachments (Terms of Use)

Description Damon Lynch 2021-10-25 06:04:50 UTC
Description of problem:

Python 3.10 and python-qt5-5.15.0-13 fail when doing this:
 
>>> from PyQt5.QtCore import QByteArray
>>> import pickle
>>> pickle.dumps(QByteArray(b"test"))
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' formats

The bug has been fixed upstream and will be released in the next "snapshot", without having yet been formally released by the PyQt5 developer. The developer says the fix affects both PyQt5 and Pyqt5-sip.

See for details https://www.riverbankcomputing.com/pipermail/pyqt/2021-October/044317.html


This affects all PyQt5 programs in the Fedora archive  that attempt to pickle QByteArray, such as Rapid Photo Downloader.


Version-Release number of selected components:

python-qt5-5.15.0-13.fc35
python3.10-3.10.0-1.fc35

Comment 1 Damon Lynch 2021-10-31 22:12:27 UTC
The PyQt5 developer has released PyQt 5.15.6, which I can confirm has fixed the bug.

Comment 2 Rex Dieter 2021-11-02 15:18:44 UTC
I'll look into updating the stack for f35 thanks.

Comment 3 Fedora Update System 2021-11-02 19:09:05 UTC
FEDORA-2021-81e1c5f8c5 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-81e1c5f8c5

Comment 4 Fedora Update System 2021-11-03 01:36:49 UTC
FEDORA-2021-81e1c5f8c5 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-81e1c5f8c5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-81e1c5f8c5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-11-11 01:18:54 UTC
FEDORA-2021-81e1c5f8c5 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.